Bug 38688 - genlocalelist generates invalid locale-list file on rebuild
genlocalelist generates invalid locale-list file on rebuild
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-01 20:39 EDT by Michael Jennings (KainX)
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 11:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Jennings (KainX) 2001-05-01 20:39:42 EDT
If one attempts to rebuild anaconda from an SRPM on 7.1, the resulting
locale-list file contains only 4 languages, and notably does *not* contain
any English entries at all.  The simple one-line patch below fixes the
error.  Not a huge issue...just a heads-up. :-)

diff -Nur anaconda-7.1/scripts/genlocalelist 
anaconda-7.1.new/scripts/genlocalelist
--- anaconda-7.1/scripts/genlocalelist	Tue Mar 20 12:30:22 2001
+++ anaconda-7.1.new/scripts/genlocalelist	Tue May  1 14:55:26 2001
@@ -106,6 +106,7 @@
 
 for $key (keys %langList) {
     $langName = $langList{$key};
+    next if (!defined($charMap{$charmapList{$key}}));
     if ($nameList{$langName}) {
 	# we have a conflict. longest wins
 	if (length($key) > length($nameList{$langName})) {
Comment 1 Brent Fox 2001-05-02 11:01:26 EDT
Thanks for your report.  We ran into this the other day...it has since been
fixed in cvs.  Thanks again.

Note You need to log in before you can comment on or make changes to this bug.